package com.bocloud.cmp.model;

public class PoolModel {
    private String name;
    private String poolId;
    private Integer objectNum;
    private Integer pgNum;
    private Integer pgpNum;
    private String erasure;
    private String protectLevel;
    private Double diskTotal;
    private Double diskUsed;
    private String type;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the poolId
     */
    public String getPoolId() {
        return poolId;
    }

    /**
     * @param poolId the poolId to set
     */
    public void setPoolId(String poolId) {
        this.poolId = poolId;
    }

    /**
     * @return the objectNum
     */
    public Integer getObjectNum() {
        return objectNum;
    }

    /**
     * @param objectNum the objectNum to set
     */
    public void setObjectNum(Integer objectNum) {
        this.objectNum = objectNum;
    }

    /**
     * @return the pgNum
     */
    public Integer getPgNum() {
        return pgNum;
    }

    /**
     * @param pgNum the pgNum to set
     */
    public void setPgNum(Integer pgNum) {
        this.pgNum = pgNum;
    }

    /**
     * @return the pgpNum
     */
    public Integer getPgpNum() {
        return pgpNum;
    }

    /**
     * @param pgpNum the pgpNum to set
     */
    public void setPgpNum(Integer pgpNum) {
        this.pgpNum = pgpNum;
    }

    /**
     * @return the erasure
     */
    public String getErasure() {
        return erasure;
    }

    /**
     * @param erasure the erasure to set
     */
    public void setErasure(String erasure) {
        this.erasure = erasure;
    }

    /**
     * @return the protectLevel
     */
    public String getProtectLevel() {
        return protectLevel;
    }

    /**
     * @param protectLevel the protectLevel to set
     */
    public void setProtectLevel(String protectLevel) {
        this.protectLevel = protectLevel;
    }

    /**
     * @return the diskTotal
     */
    public Double getDiskTotal() {
        return diskTotal;
    }

    /**
     * @param diskTotal the diskTotal to set
     */
    public void setDiskTotal(Double diskTotal) {
        this.diskTotal = diskTotal;
    }

    /**
     * @return the diskUsed
     */
    public Double getDiskUsed() {
        return diskUsed;
    }

    /**
     * @param diskUsed the diskUsed to set
     */
    public void setDiskUsed(Double diskUsed) {
        this.diskUsed = diskUsed;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }
}
